org.eclipse.gef.dot.internal.ui.language.quickfix

## Class DotQuickfixProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider
  - - org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider
    - - org.eclipse.gef.dot.internal.ui.language.quickfix.DotQuickfixProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider

    public class DotQuickfixProvider
    extends org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

A quick-fix provider for Dot.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

`org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider.CrossRefResolutionConverter`

### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider

`org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider.NullImpl`

### Constructor Summary

Constructors
Constructor and Description
`DotQuickfixProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fixArrowheadAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixArrowtailAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixClusterRankAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixColorschemeAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixDirAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixLayoutAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixOutputOrderAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixPagedirAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixRankAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixRankdirAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixShapeAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`
`void` `fixStyleAttributeValue(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`

### Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

`createLinkingIssueResolutions, fixCrossReferenceImage, fixCrossReferenceLabel, getModificationContextFactory, getQualifiedNameConverter, getResolutions, getResolutionsForLinkingIssue, getScopeProvider, getSimilarityMatcher, getUnresolvedEReference, hasResolutionFor, queryScope`

### Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider

`collectMethods, getFixMethodPredicate, getFixMethods, getIssueResolutionAcceptorProvider, getResolutions, setIssueResolutionAcceptorProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotQuickfixProvider

    public DotQuickfixProvider()

### Method Detail

#### fixArrowheadAttributeValue

    public void fixArrowheadAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                           org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixArrowtailAttributeValue

    public void fixArrowtailAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                           org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixClusterRankAttributeValue

    public void fixClusterRankAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                             org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixColorschemeAttributeValue

    public void fixColorschemeAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                             org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixDirAttributeValue

    public void fixDirAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                     org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixLayoutAttributeValue

    public void fixLayoutAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                        org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixOutputOrderAttributeValue

    public void fixOutputOrderAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                             org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixPagedirAttributeValue

    public void fixPagedirAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                         org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixRankAttributeValue

    public void fixRankAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                      org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixRankdirAttributeValue

    public void fixRankdirAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                         org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixShapeAttributeValue

    public void fixShapeAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                       org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)

#### fixStyleAttributeValue

    public void fixStyleAttributeValue(org.eclipse.xtext.validation.Issue issue,
                                       org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)